Skip to main content
`Ctrl`+`K`

# KSPBCGSLSetPol

Sets the type of polynomial part that will be used in the `KSPCBGSL` `KSPSolve()`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPBCGSLSetPol(KSP ksp, PetscBool uMROR)

Logically Collective

## Input Parameters

- ksp - iterative context of type `KSPCBGSL`

- uMROR - set to `PETSC_TRUE` when the polynomial is a convex combination of an MR and an OR step.

## Options Database Keys

- -ksp_bcgsl_cxpoly - use enhanced polynomial

- -ksp_bcgsl_mrpoly - use standard polynomial

## See Also

KSP: Linear System Solvers, `KSP`, `KSPBCGSL`, `KSPCreate()`, `KSPSetType()`, `KSPCBGSL`, `KSPBCGSLSetUsePseudoinverse()`, `KSPBCGSLSetEll()`, `KSPBCGSLSetXRes()`

## Level

intermediate

## Location

src/ksp/ksp/impls/bcgsl/bcgsl.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages